Subject: RE: [seamoby] Some proposed changes to the requirements draft.

From: "Gary Kenward" <[email-masked]>
Date: Mon, 12 Nov 2001 16:57:34 -0500

Sharif:
 
The thought was that the payload would be comprised of one or more of these
"chunks", each one representing a different feature context. The container
format would have to at least to provide a type field (where the type would
indicate the feature the context belonged to, but would be simply be used by
the
receiving AR to dispatch the container content to the appropriate entity),
and, a length field. There may be more to the container format, but nothing 
comes to mind.
 
Of course, the actually container representation is still to be determined.
The requirement states only that a representation must be defined.
 
There are plenty of analogies in other IETF protocols for this mechanism for
conveying pieces of similar but different data in one IP payload.
 
Gary
 
-----Original Message-----
From: Shahrier, Sharif M. [mailto:[email-masked]]
Sent: November 12, 2001 15:50
To: Kenward, Gary [WDLN2:AN10:EXCH]; 'James Kempf'; Shahrier, Sharif M.;
seamoby
Cc: Shahrier, Sharif M.
Subject: RE: [seamoby] Some proposed changes to the requirements draft.

Gary,
> 
>     Any application area that utilizes the context transfer protocol 
> MUST define a standard representation 
>     for conveying context information. 
The wording may need to be fixed, but the requirement is not as you 
are both interpreting it. The "standard representation" 
referred to is the representation of the data chunks, or objects, 
in the context transfer protocol that are used to contain the context. 
The actual context is encapsulated within these data chunks, and the 
representation of that context is opaque to context transfer. What is 

I was not involved with the earlier drafting of this requirement. Could you
please explain why it's necessary
To define representation of data chunks for encapsulating the context?
I would prefer to just send the context information as part of the DATA
SEGMENT in a regular IP datagram, without any form
Of encapsulation .
-Sharif.

---

From: Pat Calhoun <[email-masked]>
Date: Mon, 12 Nov 2001 16:05:43 -0800

Sharif,

Gary's comments below show WG consensus, and unless other folks chime in 
here to show that we don't have consensus I'd prefer to leave this one dead.

Thanks,

PatC